%define rname	bookmark_previews
%define version 0.8.0
%define release alt1
%define cid 	bookmarkpreviews@mozdev.org
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

%define pkgdocdir %_docdir/%name-%version

Summary:	Bookmark Previews adds an album and a thumbnail view and also adds previews to the tooltips in the bookmarks sidebar
Summary(ru_RU.KOI8-R):	 Bookmark Preview ( )        ,        

License:	MPL 1.1
Group:		Networking/WWW
URL:		http://bookmarkpreviews.mozdev.org/

Packager:	Yury Aliaev <mutabor@altlinux.ru>
Source0:	%rname-%version-fx.xpi
Patch0:		%name-3.5-alt.patch

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:	%firefox_name >= 3.0

%description
Bookmark Previews adds an album and a thumbnail view and also adds
previews to the tooltips in the bookmarks sidebar.

In Firefox 3 you can access the two new views by opening the Library. To
get there go to Bookmarks>Organize Bookmarks. From there you can toggle
the view with the 3 buttons to the left of the search box or from the
View menu.

This extension will take previews of your pages whenever you visit or
add a bookmarked page. When you first start you will be able to have the
extension create previews for you in the background. You can also
perform this task later by Choosing 'File>Create Previews' in the
Library/Bookmarks Organizer.

By default bookmark previews for https are disabled. You can enable
those and toggle previews in the tooltips of the sidebar from the
options window. Your previews are stored as jpg files in a folder named
'bookmarkpreviews' located in your profile folder. When you uninstall
the extension (via the extension manager) this folder should be deleted.

%description -l ru_RU.KOI8-R
 Bookmark Preview ( )  
     ,    
   .

  Firefox 3      
   .    "->
".        ң
        "".

    ,    , 
  .     
   .    ,  
"->Create Previews"    .

      https . 
 ,        
      . 
    "jpg"   "bookmarkpreview" 
  firefox.      
.

%prep
%setup -T -c -n %rname-%version-fx.xpi
unzip -qq %SOURCE0
%patch0 -p1

%install
mkdir -p %buildroot/%ciddir
cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Sat Aug 22 2009 Yury Aliaev <mutabor@altlinux.org> 0.8.0-alt1
- new version

* Mon Aug 25 2008 Yury Aliaev <mutabor@altlinux.ru> 0.7.4-alt1
- initial build for Sisyphus
